<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="mas-bindings">
  <template>
    <style>
      :host {
        display: block;
      }
    </style>
    <h1>Subpropiedades</h1>
    <p>Propiedad edad: [[edad]]</p>
    <p>Objeto [[objeto.edad.value]]</p>
    <button on-click='change'>Cambiar subpropiedad</button>
  </template>

  <script>
    /**
     * `mas-bindings`
     * 
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class MasBindings extends Polymer.Element {
      static get is() { return 'mas-bindings'; }
      static get properties() {
        return {
          edad: Number,
          objeto: {
            type: Object,
            value: function(){
              return {
                edad: {
                  type: Number,
                  value: 0
                }
              }
            }
          }
        };
      }
      change(){
        this.set('objeto.edad.value', Math.random() );
      }
    }

    window.customElements.define(MasBindings.is, MasBindings);
  </script>
</dom-module>
